/* You can add global styles to this file, and also import other style files */

@import '~bootstrap/dist/css/bootstrap.min.css';
@import 'variable';

body {
    background: #f7f7f7;
    font-size: 14px;
}

// .pribary-bg {
//     background: linear-gradient(#2f5d7f, #4f89b3);
//     color: #ffffff;
// }

.primary-btn {
    background: #f2445d;
    color: #ffffff;

    &:hover {
        color: #ffffff
    }

    &:focus {
        color: #ffffff
    }

    &:active {
        color: #ffffff
    }
}

.alert-danger {
    background: #f2445d;
    color: #ffffff;
}

.alert-success {
    background: #5dc34a;
    color: #ffffff;
}

.alert-info {
    background: #305f81;
    color: #ffffff;
}

.primary-text {
    color: #f2445d;
}

.header-bg {
    background: $soc-primary-color;
}

h5 {
    font-size: 16px;
}

.navbar-light {
    &.bg-soc-navbar {
        background: linear-gradient(#2f5d7f, #4f89b3);

        ul {
            li {
                padding: 5px;
                
                a {
                    color: #ffffff !important;
    
                    &.active {
                        color: yellow !important;
                    }
                }
            }
        }
    }
}

.soc-alert-hide {
    display: none;
}

.has-error > textarea {
    border: red;
}

.text-soc-primary {
    color: #315f82;
}

.shadow-md {
    box-shadow: 1px 1px 10px #7c7d7d;
}

.text-yellow {
    color: yellow;
}

ul.soc-ul {
    padding-left: 15px;
    margin: 0;

    li {
        list-style-type: square;
        padding-bottom: 10px;
    }
}

.highlight-color {
    color: yellow !important;
}

@media (max-width: 767px) {
    .navbar-light {
        &.bg-soc-navbar {
            background: linear-gradient(#2f5d7f, #4f89b3) !important;
    
            ul {
                li {
                    border-top: 1px solid #ffffff;
                    padding: 5px;
                    
                    a {
                        color: #ffffff !important;
        
                        &.active {
                            color: yellow !important;
                        }

                        &.highlight-color {
                            color: yellow !important;
                        }
                    }
                }
            }
    
            .navbar-toggler {
                border-color: #ffffff;
                background: #ffffff;
            }
        }
    }
}